Loading...
Searching...
No Matches
StorageFlattening.h File Reference

Defines the lowering pass that flattens multi-dimensional storage into single-dimensional array access. More...

`#include <map>`
`#include <string>`
`#include <vector>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::storage_flattening (Stmt s, const std::vector< Function > &outputs, const std::map< std::string, Function > &env, const Target &target)
| Take a statement with multi-dimensional Realize, Provide, and Call nodes, and turn it into a statement with single-dimensional Allocate, Store, and Load nodes respectively.

## Detailed Description

Defines the lowering pass that flattens multi-dimensional storage into single-dimensional array access.

Definition in file StorageFlattening.h.